Bug 1415691 - New HSM infra - Disk remains locked when engine fails during engine task [NEEDINFO]
Summary: New HSM infra - Disk remains locked when engine fails during engine task
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: All
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.1.2
: 4.1.2.2
Assignee: Fred Rolland
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 12:57 UTC by Kevin Alon Goldblatt
Modified: 2017-05-23 08:22 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:22:46 UTC
oVirt Team: Storage
eedri: needinfo? (amarchuk)
rule-engine: ovirt-4.1+
rule-engine: exception+


Attachments (Terms of Use)
server, vdsm, engine.log (844.34 KB, application/x-gzip)
2017-01-23 13:00 UTC, Kevin Alon Goldblatt
no flags Details
vdsm and engine log (719.60 KB, application/x-gzip)
2017-05-03 07:44 UTC, Eyal Shenitzky
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 76551 master MERGED core: NPE in addStep method of Step 2017-05-08 13:44:55 UTC
oVirt gerrit 76608 ovirt-engine-4.1 MERGED core: NPE in addStep method of Step 2017-05-09 17:34:03 UTC

Description Kevin Alon Goldblatt 2017-01-23 12:57:15 UTC
Description of problem:
Disk remains locked when engine fails during CloneImageGroupVolumesStructureCommand stage of the cold move command

Version-Release number of selected component (if applicable):
vdsm-4.19.2-1.gitd9c3ccb.el7.centos.x86_64
ovirt-engine-4.1.0.3-0.0.master.20170122091652.gitc6fc2c2.el7.centos.noarch


How reproducible:
All the time

Steps to Reproduce:
1. Create VM with preallocated disk and power VM off
2. Select to Move the block disk to another domain
3. Restart the ENGINE as soon as the CloneImageGroupVolumesStructureCommand is reported on the engine. Move fails on one disk and second disk remains in locked state




Actual results:
The Move fails and Disk is reported as locked, progress bar also stuck on 16%

Expected results:
Move should succeed


Additional info:
From Engine Log:
 2017-01-23 13:55:35,310+02 INFO  [org.ovirt.engine.core.bll.storage.disk.image.CloneImageGroupVolumesStructureCommand] (org.ovirt.thread.pool-6-thread-41) [649abdb5] Running command: CloneImageGroupVolumesStructureCommand internal: true.
2017-01-23 13:55:35,995+02 INFO  [org.ovirt.engine.core.bll.storage.disk.image.CloneImageGroupVolumesStructureCommand] (DefaultQuartzScheduler9) [649abdb5] Starting child command 1 of 1, image 'a538cc5b-cb08-479a-bc39-2097a99a18e9'
2017-01-23 13:55:36,087+02 INFO  [org.ovirt.engine.core.bll.storage.disk.image.CloneImageGroupVolumesStructureCommand] (org.ovirt.thread.pool-6-thread-41) [23fc7592] Running command: CloneImageGroupVolumesStructureCommand internal: true.

RESTARTED THE ENGINE AT THIS POINT *********

Comment 1 Kevin Alon Goldblatt 2017-01-23 13:00:30 UTC
Created attachment 1243582 [details]
server, vdsm, engine.log

Adding logs

Comment 2 Tal Nisan 2017-01-23 13:36:35 UTC
Freddy, I guess it's the same cause from bug 1415502?

Comment 3 Fred Rolland 2017-01-23 15:58:51 UTC
Kevin, dis you restart only the engine or also the HSM ?

Comment 4 Liron Aravot 2017-01-24 09:37:34 UTC
Seems like this should've been fixed by BZ 1393459.
Ravi, aside from our checks please take a look.

Comment 5 Kevin Alon Goldblatt 2017-01-25 15:43:04 UTC
(In reply to Fred Rolland from comment #3)
> Kevin, dis you restart only the engine or also the HSM ?

Only the engine was restarted

Comment 6 Ravi Nori 2017-01-26 19:27:15 UTC
I am unable to reproduce this on master. Moving the disks between nfs storage domains completes as expected after server restart.

Comment 7 Yaniv Lavi 2017-02-02 13:13:27 UTC
What is the status of this issue? 
It seems very severe.

Comment 8 Fred Rolland 2017-02-02 13:26:45 UTC
According to the log, there is an infra issue.
However Ravi was not able to reproduce.

Kevin, can you please test again on latest version ?

Comment 9 Kevin Alon Goldblatt 2017-02-15 13:03:07 UTC
Test(In reply to Fred Rolland from comment #8)
> According to the log, there is an infra issue.
> However Ravi was not able to reproduce.
> 
> Kevin, can you please test again on latest version ?

Tested again with the following code:
--------------------------------------------------------
ovirt-engine-4.1.0.4-0.1.el7.noarch 
rhevm-4.1.0.4-0.1.el7.noarch
vdsm-4.19.4-1.el7ev.x86_64


Ran the same scenario as before with the new code:
-------------------------------------------------------
Steps to Reproduce:
1. Create VM with preallocated disk and power VM off
2. Select to Move the block disk to another domain
3. Restart the ENGINE as soon as the CloneImageGroupVolumesStructureCommand is reported on the engine. THE MOVE WORKS fine now.

Comment 10 Eyal Shenitzky 2017-05-03 07:40:53 UTC
This Bug reproduced in our automation:

Description of problem:
Disk remains locked when engine fails during  stage 'CopyImageGroupWithDataCmd' of the cold move command


Version-Release number of selected component (if applicable):
vdsm - 4.19.11-1.el7ev.x86_64
Ovirt-engine- 4.19.11-1.el7ev.x86_64


How reproducible:
70%

Steps to Reproduce:
1. Create VM with 4 disks(virtio-SCSI cow, virtio-SCSI raw, virtio cow, 
   virtio raw)
2. Select to Move the block disk to another domain
3. Restart the ENGINE as soon as the CopyImageGroupWithDataCmd is reported in the engine log.

Actual results:
The Move fails and Disk is reported as locked

Expected results:
Move should succeed

Comment 11 Eyal Shenitzky 2017-05-03 07:44:43 UTC
Created attachment 1275842 [details]
vdsm and engine log

Comment 12 Eyal Shenitzky 2017-05-03 07:47:42 UTC
Exception from engine log:

2017-05-03 10:17:52,534+03 ERROR [org.ovirt.engine.core.bll.storage.disk.image.CreateVolumeContainerCommand] (DefaultQuartzScheduler1) [disks_syncAction_197a1ec3-b940-4d6f] Exception: java.lang.NullPointerException
        at org.ovirt.engine.core.common.job.Step.addStep(Step.java:223) [common.jar:]
        at org.ovirt.engine.core.bll.job.ExecutionHandler.addSubStep(ExecutionHandler.java:386) [bll.jar:]
        at org.ovirt.engine.core.bll.job.ExecutionHandler.addTaskStep(ExecutionHandler.java:369) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper.createTask(CoCoAsyncTaskHelper.java:66) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorImpl.createTask(CommandCoordinatorImpl.java:261) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorUtil.createTask(CommandCoordinatorUtil.java:111) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTaskImpl(CommandBase.java:1773) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1740) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1652) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1701) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.disk.image.CreateVolumeContainerCommand.executeCommand(CreateVolumeContainerCommand.java:82) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1251) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1391) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2055) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1451) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:397) [bll.jar:]
        at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:511) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:493) [bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:697) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.8.0_121]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) [rt.jar:1.8.0_121]at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_121]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70) [wildfly-weld-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80) [wildfly-weld-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93) [wildfly-weld-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
        at org.jboss.weld.ejb.AbstractEJBRequestScopeActivationInterceptor.aroundInvoke(AbstractEJBRequestScopeActivationInterceptor.java:73) [weld-core-impl.jar:2.3.3.Final-redhat-1]
        at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:83) [wildfly-weld-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ee.concurrent.ConcurrentContextInterceptor.processInvocation(ConcurrentContextInterceptor.java:45) [wildfly-ee-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)

at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:52)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.singleton.SingletonComponentInstanceAssociationInterceptor.processInvocation(SingletonComponentInstanceAssociationInterceptor.java:53) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:263) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:243) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.invocationmetrics.WaitTimeInterceptor.processInvocation(WaitTimeInterceptor.java:43) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.security.SecurityContextInterceptor.processInvocation(SecurityContextInterceptor.java:100) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.deployment.processors.StartupAwaitInterceptor.processInvocation(StartupAwaitInterceptor.java:22) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:66) [wildfly-ejb3-7.0.5.GA-redhat-2.jar:7.0.5.GA-redhat-2]
at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ContextClassLoaderInterceptor.processInvocation(ContextClassLoaderInterceptor.java:64)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
        at org.wildfly.security.manager.WildFlySecurityManager.doChecked(WildFlySecurityManager.java:636)
        at org.jboss.invocation.AccessCheckingInterceptor.processInvocation(AccessCheckingInterceptor.java:61)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.InterceptorContext.run(InterceptorContext.java:356)
        at org.jboss.invocation.PrivilegedWithCombinerInterceptor.processInvocation(PrivilegedWithCombinerInterceptor.java:80)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:198)
        at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:185)
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
        at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61)
        at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:73)
        at org.ovirt.engine.core.bll.interfaces.BackendInternal$$$view4.runInternalAction(Unknown Source) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.8.0_121]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) [rt.jar:1.8.0_121]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_121]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
        at org.jboss.weld.util.reflection.Reflections.invokeAndUnwrap(Reflections.java:433) [weld-core-impl.jar:2.3.3.Final-redhat-1]
        at org.jboss.weld.bean.proxy.EnterpriseBeanProxyMethodHandler.invoke(EnterpriseBeanProxyMethodHandler.java:128) [weld-core-impl.jar:2.3.3.Final-redhat-1]
at org.jboss.weld.bean.proxy.EnterpriseTargetBeanInstance.invoke(EnterpriseTargetBeanInstance.java:56) [weld-core-impl.jar:2.3.3.Final-redhat-1]
        at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:100) [weld-core-impl.jar:2.3.3.Final-redhat-1]
        at org.ovirt.engine.core.bll.BackendCommandObjectsHandler$BackendInternal$BackendLocal$2049259618$Proxy$_$$_Weld$EnterpriseProxy$.runInternalAction(Unknown Source) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalAction(CommandBase.java:2452) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalActionWithTasksContext(CommandBase.java:2477) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInternalActionWithTasksContext(CommandBase.java:2472) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.disk.image.CloneImageGroupVolumesStructureCommand.createImage(CloneImageGroupVolumesStructureCommand.java:126) [bll.jar:]
        at org.ovirt.engine.core.bll.storage.disk.image.CloneImageGroupVolumesStructureCommand.performNextOperation(CloneImageGroupVolumesStructureCommand.java:89) [bll.jar:]
        at org.ovirt.engine.core.bll.SerialChildCommandsExecutionCallback.childCommandsExecutionEnded(SerialChildCommandsExecutionCallback.java:29) [bll.jar:]
        at org.ovirt.engine.core.bll.ChildCommandsCallbackBase.doPolling(ChildCommandsCallbackBase.java:63) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCallbacksPoller.invokeCallbackMethods(CommandCallbacksPoller.java:114) [bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.8.0_121]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) [rt.jar:1.8.0_121]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_121]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_121]
        at org.ovirt.engine.core.utils.timer.JobWrapper.invokeMethod(JobWrapper.java:77) [scheduler.jar:]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:51) [scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_121]
        at java.util.concurrent.FutureTask.run(FutureTask.java:266) [rt.jar:1.8.0_121]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_121]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_121]
 at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_121]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_121]
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_121]

Comment 13 Red Hat Bugzilla Rules Engine 2017-05-03 14:27:34 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 14 rhev-integ 2017-05-12 15:10:07 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Tag 'ovirt-engine-4.1.2' doesn't contain patch 'https://gerrit.ovirt.org/76608']
gitweb: https://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=shortlog;h=refs/tags/ovirt-engine-4.1.2

For more info please contact: infra@ovirt.org

Comment 15 Sandro Bonazzola 2017-05-13 09:11:07 UTC
(In reply to rhev-integ from comment #14)
> INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following
> reason:
> 
> [Tag 'ovirt-engine-4.1.2' doesn't contain patch

Wrong tag, please re-run on ovirt-engine-4.1.2.2

> 'https://gerrit.ovirt.org/76608']
> gitweb:
> https://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=shortlog;h=refs/tags/
> ovirt-engine-4.1.2
> 
> For more info please contact: infra@ovirt.org

Comment 16 Anton Marchukov 2017-05-13 09:54:59 UTC
Moving to ON_QA. This bug is in ovirt-engine-4.1.2.2 tag from which the engine was built.

Comment 17 Kevin Alon Goldblatt 2017-05-14 20:36:13 UTC
Verified with the following code:
-----------------------------------
ovirt-engine-4.1.2.1-0.1.el7.noarch
rhevm-4.1.2.1-0.1.el7.noarch
vdsm-4.19.14-1.el7ev.x86_64



Verified with the following scenario:
----------------------------------------
Steps to Reproduce:
1. Create VM with 4 disks(virtio-SCSI cow, virtio-SCSI raw, virtio cow, 
   virtio raw)
2. Select to Move the block disk to another domain
3. Restart the ENGINE as soon as the CopyImageGroupWithDataCmd is reported in the engine log >>>> The disk is successfully moved


Moving to VERIFIED!

Comment 18 Eyal Edri 2017-05-22 11:21:44 UTC
a patch was merged to fix the tag issue.
Anton, can you follow up on this and verify it works properly for next build?


Note You need to log in before you can comment on or make changes to this bug.